# CbcGeneral Class Reference

Define a catch all class. More...

`#include <CbcGeneral.hpp>`

Inheritance diagram for CbcGeneral:
[legend]
Collaboration diagram for CbcGeneral:
[legend]

List of all members.

## Public Member Functions
| CbcGeneral ()
| CbcGeneral (CbcModel *model)
| Useful constructor Just needs to point to model.
| CbcGeneral (const CbcGeneral &)
virtual CbcObject * | clone () const =0
| Clone.
CbcGeneral & | operator= (const CbcGeneral &rhs)
| ~CbcGeneral ()
virtual double | infeasibility (const OsiBranchingInformation *info, int &preferredWay) const
| Infeasibility - large is 0.5.
virtual void | feasibleRegion ()=0
| This looks at solution and sets bounds to contain solution.
virtual CbcBranchingObject * | createCbcBranch (OsiSolverInterface *solver, const OsiBranchingInformation *info, int way)
| Creates a branching object.
virtual void | redoSequenceEtc (CbcModel *model, int numberColumns, const int *originalColumns)=0
| Redoes data when sequence numbers change.

## Detailed Description

Define a catch all class.

This will create a list of subproblems

Definition at line 17 of file CbcGeneral.hpp.

## Constructor & Destructor Documentation

CbcGeneral::CbcGeneral | ( |  | ) |

CbcGeneral::CbcGeneral | ( | CbcModel * | model | ) |

Useful constructor Just needs to point to model.

CbcGeneral::CbcGeneral | ( | const CbcGeneral & |  | ) |

CbcGeneral::~CbcGeneral | ( |  | ) |

## Member Function Documentation

virtual CbcObject* CbcGeneral::clone | ( |  | ) | const`[pure virtual]`

Clone.

Implements CbcObject.

CbcGeneral& CbcGeneral::operator= | ( | const CbcGeneral & | rhs | ) |

Reimplemented from CbcObject.

virtual double CbcGeneral::infeasibility | ( | const OsiBranchingInformation * | info,
|  | int & | preferredWay |
| ) |  |  | const`[virtual]`

Infeasibility - large is 0.5.

Reimplemented from CbcObject.

virtual void CbcGeneral::feasibleRegion | ( |  | ) | `[pure virtual]`

This looks at solution and sets bounds to contain solution.

Implements CbcObject.

virtual CbcBranchingObject* CbcGeneral::createCbcBranch | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | int | way |
| ) |  |  | `[virtual]`

Creates a branching object.

Reimplemented from CbcObject.

virtual void CbcGeneral::redoSequenceEtc | ( | CbcModel * | model,
|  | int | numberColumns,
|  | const int * | originalColumns |
| ) |  |  | `[pure virtual]`

Redoes data when sequence numbers change.

Reimplemented from CbcObject.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcGeneral.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines